cURL
curl --request POST \
--url https://app.loadforge.com/api/v2/library \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "helpers.py",
"content": "def foo():\n return 1"
}
'import requests
url = "https://app.loadforge.com/api/v2/library"
payload = {
"name": "helpers.py",
"content": "def foo():
return 1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'helpers.py', content: 'def foo():\n return 1'})
};
fetch('https://app.loadforge.com/api/v2/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"library_id": 456
}{
"error": 123,
"message": "<string>"
}Library
Create Library
Create a library. Content may be plain text or base64 (auto-detected)
POST
/
library
cURL
Create a team Python library file.
content can be plain text or base64 (auto-detected). name must be unique per team and end with .py.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created
Was this page helpful?
⌘I